Vagrant.configure("2") do |config|
  config.vm.box = "ubuntu/focal64"

  config.vm.provision :docker

  # First, install required plugin https://github.com/leighmcculloch/vagrant-docker-compose:
  # vagrant plugin install vagrant-docker-compose
  config.vm.provision :docker_compose

  config.vm.network :forwarded_port, guest: 8080, host: 8080
  config.vm.provision :docker_compose, yml: "/vagrant/docker-compose.yml", run: "always", rebuild: true, compose_version: "1.28.5"
end
